<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_e608e5b5c4c34a67ba97ef84c1e" . "16199" => base64_decode("Jw" . "=="), "_80453d7bea0ddc48afe3e3c89e0b8" . "aec" => base64_decode("Tm9uLWV4aXN" . "0aW5nIHZhbG" . "lkYXRpb24gb" . "WV0aG9kICc="), "_4d707fab93bebb00bbe6" . "9e8159697c90" => base64_decode(""), "_aed8da0f19091214b" . "78f80351048517c" => base64_decode("c3RybG" . "Vu"), "_19d1237a619f" . "7b35ad6dbebf0" . "25f17c8" => base64_decode("c3" . "Ry" . "Y2" . "1w"), "_c06c961f39374" . "2ecfd52b72263a" . "c9470" => base64_decode("aW50d" . "mFs"), "_7eacce07e2449116f62c946471" . "0c37f7" => base64_decode("cmVzZ" . "XQ="), "_6edacb78bd55c5015" . "af27c8ac1fcd9af" => base64_decode("bWV0a" . "G9kX2" . "V4aXN" . "0cw=="));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_7eacce07e2449116f62" . "c9464710c37f7"]) != $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4d707fab93bebb00bbe69e" . "8159697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_6edacb78bd55c5015af27c8ac1fcd9" . "af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_80453d7bea0" . "ddc48afe3e3c" . "89e0b8aec"] . $validate_method . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_e608e5b5c4c34a67" . "ba97ef84c1e16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_aed8da0f19091214b78f803510485" . "17c"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_19d1237a61" . "9f7b35ad6db" . "ebf025f17c8"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c06c961f39" . "3742ecfd52b" . "72263ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_aed8da0f1" . "9091214b78" . "f803510485" . "17c"]($value);
    }
}